#ifndef _KGR_PATCH_BSC1053150_H
#define _KGR_PATCH_BSC1053150_H

#if IS_ENABLED(CONFIG_ISDN_I4L)

int kgr_patch_bsc1053150_init(void);
void kgr_patch_bsc1053150_cleanup(void);

int kgr_isdn_ioctl(struct file *file, uint cmd, ulong arg);
char * kgr_isdn_net_newslave(char *parm);

#define KGR_PATCH_BSC1053150_FUNCS					\
	KGR_PATCH_OBJ(isdn_ioctl, kgr_isdn_ioctl, "isdn"),		\
	KGR_PATCH_OBJ(isdn_net_newslave, kgr_isdn_net_newslave, "isdn"),

#else

static int kgr_patch_bsc1053150_init(void) { return 0; }
static void kgr_patch_bsc1053150_cleanup(void) {}
#define KGR_PATCH_BSC1053150_FUNCS

#endif
#endif
